Call for Artists

Life Force Arts Ensemble presents juried art exhibits. Our exhibits are based on themes related to the Life Force Arts Method, a modern version of universal wisdom teachings that value true self and creative community. We have two exhibits per year, each of which runs about 5 months. The exhibits feature beautiful and energetically powerful artwork of all styles and media. The artwork creates a sacred space for the performances of Life Force Arts Ensemble, and the Healing Arts Intensives held in conjunction with the themes of the performances and exhibits.

If you are interested in exhibiting with us, please CLICK HERE TO SIGN UP FOR OUR EMAIL LIST TO RECEIVE CALLS FOR ARTISTSBe sure to check the box "Call for Artists" under "Which publications would you like to receive?"

Click here to download the Art Submission Form


Pay $25 Art Submission fee here




Our Current Call for Artists


the first of two multiarts shows exploring your True Self & your authentic expression as a valued member of Creative Community

Deadline for submissions: Monday January 6, 2020

art exhibit runs February 1 – July 10, 2020
 
Explore your True Self and your authentic expression as a valued member of Creative Community as Life Force Arts Ensemble presents the art exhibit and multidisciplinary arts show The Soul's Essence running February 1 – July 10, 2020 at Life Force Arts Center, 1609 W. Belmont, Chicago IL 60657. Opening Reception is Saturday, February 1, 2020 from 7:30 - 10 PM. Exhibit hours during events at Life Force Arts Center, and by appointment. Admission is free to the exhibit and Opening Reception. Workshops and performances related to the theme will be presented as part of the show. For more information, please contact Joan Forest Mage, Artistic Director, 773-327-7224, joan@LifeForceArts.org.

The Soul's Essence. Every person has a True Self (Soul) which is their essence or core energy. A person’s soul can be identified as the person’s individual energy field, their in-born gifts (talents) and the unique mission they are designed to accomplish in this lifetime. The True Self is meant to be embraced by a Creative Community, the tribe where the individual can fully express their gifts and mission. In this show, participating artists have the opportunity to express their experiences with the True Self through their artwork, thus encouraging the viewers to discover and live from their own souls.
 
The Soul’s Essence is the first of two exhibits presented by Life Force Arts Ensemble in 2020 based in the Life Force Arts Method (LFAM), a powerful psychological and spiritual tool for understanding and building positive relationships from one’s inner world to the outer world.  The Soul’s Essence (February 1 – July 10, 2020) explores the True Self (Soul), which is a person’s individual energy field, their in-born gifts (talents) and the unique mission they are designed to accomplish in this lifetime. The Soul’s Home (August 1, 2020 - January 8, 2021) focuses on the Creative Community, the tribe that embraces, nurtures and values each individual’s True Self, gifts and mission.
 
Life Force Arts Ensemble (LFAE) is a company of visual, literary and performing artists who commune with soul and spirit to create transformation through the arts based in the Life Force Arts Method. LFAE creates original performances in the sacred space of our visual art exhibits combining dance, vocal and instrumental music, acting, storytelling and poetry. Through the arts, the Ensemble channels powerful spiritual energy to activate profound transformation for their audiences.

The exhibit features a wide variety of media including painting, photography, sculpture, mixed media and installation. Life Force Arts Ensemble Artistic Director Joan Forest Mage says, "It's fascinating to see the interpretations that artists have about the theme. At LFAE, our art exhibits create sacred space in which our performances and workshops become healing rituals, infused with transformative power to heal and enlighten."

How to send an Art Submission


Life Force Arts Ensemble presents juried art exhibits. Our exhibits are based on themes related to the Life Force Arts Method. Shows run 5 months each. The exhibits feature beautiful and energetically powerful artwork of all styles and media. The artwork creates a sacred space for performances and other events that are held by the company in conjunction with the theme of the show.

Please read the requirements carefully, and then send us an art submission by email.

Art Submission requirements:
  • ~Art Submission Form (Click here to download the Art Submission Form)
  • ~Photos of your work (up to 5 different pieces) that you would like us to consider putting in the show. Art may include 2- or 3-dimensional prints, paintings, photography, digital, sculpture, mixed media, installation art and more. Please send as jpg images (max 500 x 500 pixels per image). Please put images in the same email as the submission form if possible.
  • ~We only consider completed artwork for the show
  • ~We only accept artwork that is for sale
  • ~Essay(s) for EACH ARTWORK YOU ARE SUBMITTING suitable for inclusion in the show's Exhibit Catalog,  explaining how it relates to the theme of the exhibit
  • ~your resume
  • ~your bio: 1 – 3 paragraphs about yourself as an artist, suitable for inclusion in the bio section of the show's Exhibit Catalog
  • ~your $25 art submission fee. Click here to pay $25 Art Submission fee online by Paypal or call 773-327-7224 to make other payment arrangements.
Please send your art submission to artsubmissions@lifeforcearts.org

Deadline for submissions: Monday, January 6, 2020

To understand more about the Life Force Arts Method, please read Joan Forest Mage's article


Art Submission Guidelines (what type of artwork we're looking for)

for The Soul’s Essence


Artwork in this exhibit should relate to the theme of the True Self explained in the Life Force Arts Method. Please use these questions as a guideline to choose the artwork you submit
 
  • ~Depiction of the True Self as a person's individual energy field and their gifts and mission
  • ~Depictions of how the energy field works in the 4 Skills of Streaming, Osmosis, Dialogue & Crystallizing (see Joan if you need more information)
  • ~Depiction of who you are at your deepest core
  • ~Create an artwork that come from your True Self
  • ~Depiction of your soul's pathway or journey
  • ~Images of your spiritual name. If you don't have one yet, give yourself a spiritual name and depict it
  • ~Create a vision of your True Self
  • ~Depict what you looked like before and after you awakened to your True Self
  • ~Depict how you came to  know or awaken to your gifts
  • ~Depict the relationship of your energy field to your gifts and mission
  • ~Depict the essence of your core energy. Is it strong, soft, playful, etc?
  • ~Images of what your soul is passionate about
  • ~Images of what you do to be in touch with your soul. for example, playing singing bowls, chanting, being in nature, etc.
  • ~Depict how you have inspired others through your art to recognize and act on their own mission in life
  • ~Create images of your authentic self. Explore the True Self: what is it like to live from soul, compared to living from the Shadow Self, the False Self, etc.
  • ~Depict gifts/talents you know you have but haven't explored yet in your life
In the essay about your work, please tell us about how your artwork relates to the theme of The Soul's Essence and the True Self
 
LFAE welcomes artists who have presentations associated with their work, such as lectures, discussions, rituals, guided meditations, performances or workshops. We are especially looking for presentations related to the Soul's Essence, to be given between February 6 - June 30, 2020.

At LFAE, we work with energy and beings of the Light, and look for artwork that inspires and uplifts viewers. Our policy is that if artwork has a cathartic element and helps viewers face the shadow side, it must also have the alchemy to integrate what has been purged into a new, whole, positive form.
 

Important Dates:

  • ~Deadline for submissions: Monday, January 6, 2020
  • ~Artists will be notified about acceptance of their submissions by Wednesday, January 8, 2020
  • ~If your artwork is accepted, please call 773-327-7224 to arrange a time to deliver your ready-to-display artwork to Life Force Arts Center, 1609 W. Belmont, Chicago 60657. Artwork may be delivered, by appointment only. Please call Joan at 773-327-7224 to make arrangements for delivery.
  • ~ALL ARTWORK MUST BE DELIVERED TO LIFE FORCE ARTS CENTER NO LATER THAN SATURDAY, JANUARY 25, 2020.
  • ~Installation of the show will take place Tuesday, January 28 and Wednesday, January 29, 2020 from 3 - 8 PM each day. However, it is not required that the artist be present to install their art.
  • ~Opening Reception is Saturday, February 1, 2020 from 7:30 - 10 PM
  • ~The show will run from February  - July 10, 2020
  • ~Closing Day is Friday, July 10
  • ~Art that is not sold may be picked up, by appointment only (please call 773-327-7224 to schedule a time to pick up your artwork) 

IMPORTANT GUIDELINES FOR ARTWORK BEING READY TO DISPLAY
 
If your art is accepted, you are responsible for delivering it ready-to-display. “Ready to display” can be achieved in various ways, depending on the type of artwork. Ready to display MAY include, but is not limited to, the following:

  • ~gallery wrapped on stretcher bars
  • ~external frame
  • ~hanging from a dowel, which has a wire on it
  • ~adhesive onto foamboard, which has a hook and/or wire on the back
  • ~wooden or metal stands for 3 dimensional artwork  
  • ~many other methods of display, depending on the type of artwork
Note: we don't pin artwork directly to the wall

~If the artwork is supposed to hang on the wall, PLEASE HAVE A WIRE OR HOOK ON THE BACK OF THE ARTWORK so it can easily be put on the wall. 
  • ~If the artwork has a wire to hang it, please make sure the wire is tight and is securely fastened to hooks on each side of the artwork.
  • ~The wire should not show above the artwork when it is hung on the wall.
  • ~Do NOT use tape to attach a wire or string to the back of a frame
  • ~If you are using a frame, the frame must fit the artwork: if the artwork is smaller than the frame, please mat the artwork so it fits the frame
  • ~If you have several similar pieces to be displayed together, please put them in frames that match each other

Please fill out this submission form and attach to your submission:

Click here to download the Art Submission Form

The art submission fee is $25 and may be paid via Paypal by clicking here or contacting us at 773-327-7224.


Additional information:

Artist is responsible for delivering the art to LFAC properly wrapped and protected. The artist agrees to pick up art at the end of the show, or make arrangements and pay for shipping.

If artwork is shipped, Artist is responsible for all shipping costs of sending it to LFAC and/or returning unsold artwork to Artist

There will be a 50-50% split of the retail price for sales of art; the artist will receive 50% and Life Force Arts Center will receive 50% of the retail price.

We look forward to your submission. If you have any questions, please contact: Joan Forest Mage, Artistic Director, (773) 327-7224joan@LifeForceArts.org


About Life Force Arts Method (LFAM), the Ensemble, and the history of how the exhibits relate to LFAM

 
For some examples of the Performances of the Life Force Arts Ensemble, and how the performances incorporate the visual art in the exhibits,
please click on these links.

 
 
 
~ Fire Rooster: LFAE's Performance Exploring Labels, Names & Identities

In other words, the exhibits at Life Force Arts Center create the sacred space for the healing rituals of the performances and their accompanying Healing Arts Intensives. They are based in and share/teach the different sections of the Life Force Arts Method/Wheel (LFAM). See below for more history in the last 5 years of how the exhibits are based in LFAM.
 
History of how LFAE exhibits are based in LFAM 2013 - 2018
 
Here is the list of LFAE exhibits starting in late 2013. You can see the complete list of all LFAE exhibits by clicking here
 
Here is the list of the series for each year, and the corresponding part of the Life Force Arts Method/Wheel that each exemplifies
 
2014: Life Force Wheel - the Archetypes of the Wheel
2015: The Spiritual Power of Art - The 4 Communities: Self & Society (Human), Nature, Spirit
 

2016: The Creative Soul - defining what Art is, the first of the Four Fields of Human Endeavor
 
 
2017: Art: The Language of Learning , Healing & Community - The other three Fields of Human Endeavor
 
 
 
2018: The Skills of Youth and Maturity - The Skills of Life. Streaming & Osmosis are the Skills of Youth and Dialogue & Crystallizing are the Skills of Maturity
 
 
2019: The Waxing Year & The Waning Year - The transformative  power of the seasonal festivals
 




 


Last modified: Monday, December 2, 2019, 3:41 PM